package org.wiztools.oembed;

/**
 * Stores as constants the JSON and XML element names defined by the oEmbed spec.
 * @author subhash
 */
public interface OEmbedElement {
    String version = "version";
    String type = "type";
    String author_url = "author_url";
    String cache_age = "cache_age";
    String provider_name = "provider_name";
    String provider_url = "provider_url";
    String title = "title";
    String author_name = "author_name";
    String width = "width";
    String height = "height";
    String url = "url";
    String html = "html";
    String thumbnail_url = "thumbnail_url";
    String thumbnail_width = "thumbnail_url";
    String thumbnail_height = "thumbnail_url";
}
