package org.wiztools.oembed;

/**
 * The oEmbed version as per the specification.
 * @author subhash
 */
public enum OEmbedVersion {
    V_1_0;
    
    public static OEmbedVersion get(String version) {
        if("1.0".equals(version)) {
            return V_1_0;
        }
        throw new IllegalArgumentException("Unsupported oEmbed version: " + version);
    }
}
