package org.wiztools.oembed;

/**
 * The exception class of the API.
 * @author subhash
 */
public class OEmbedException extends RuntimeException{

    public OEmbedException(String message) {
        super(message);
    }

    public OEmbedException(Throwable cause) {
        super(cause);
    }

    public OEmbedException(String message, Throwable cause) {
        super(message, cause);
    }
    
    public OEmbedException(int code, String msg) {
        super(code + ": " + msg);
    }
}
